Subject: Re: DATE-OBS='31/12/99'

From: thompson at orpheus.nascom.nasa.gov (William Thompson)
Date: 8 Jul 1996 15:59:38 GMT

seaman at noao.edu (Rob Seaman) writes:

>A few comments about ISO 8601 and FITS:

>- It is a closed standard - nothing has changed since Carl Malamud's
>  "Exploring The Internet", you still have to buy a copy of the standard.
>  Presumably we could not reprint selections from the ISO standard
>  within the FITS standard.

However, you could reprint from the CCSDS standards documentation, which is a
subset of the ISO-8601 standard.

>- When we talk about implementing ISO 8601 dates in FITS, we don't
>  really mean that.  We mean implementing a subset of the allowed ISO
>  formats.  A FITS keyword should not have so many degrees of freedom.
>  (FITS users typically don't need to know the week of the year, for
>  instance.)

Agreed.  Again, look at the CCSDS documentation.

>- The code to parse even a limited subset of ISO 8601 is much more
>  complicated than parsing a simple date.

Depends on how limited.  

>- Issues of keyword precedence are impossible to avoid.  FITS usage
>  already includes many redundant keywords - do we want to require more?

FITS is a creaky, backwater standard full of out-moded concepts.  Do we want to
keep it that way?

>- Why should the FITS date keyword (whatever it is) be required to
>  include a time, anyway?  If the FITS is ingested into an archive,
>  are we to assume that there won't be separate date and time fields
>  in the relational database?  Will users be required to phrase SQL
>  queries using the full ISO syntax for periods of time?  A date is
>  a useful piece of information separate from the time.

I guess it depends on what kind of astronomy you do.  For our observations
(solar) a date without a time is pretty meaningless.  Anyways, as I understand
the ISO/CCSDS standard, one can give a date without a time if desired.

Bill Thompson